package com.wd.workoffice.ui.adapter;


import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.wd.workoffice.R;
import com.wd.workoffice.bean.ContactsBean;
import com.wd.workoffice.bean.ContactsList;

import java.util.List;

/**
 * Created by flexible on 2018/8/13.
 */

public class WorkContactsAdapter extends BaseQuickAdapter<ContactsBean, BaseViewHolder> {
    int type;//1 回款選擇客戶 其他默认

    public WorkContactsAdapter(int layoutResId, List data) {
        super(layoutResId, data);
    }

    public WorkContactsAdapter(int layoutResId, List data, int type) {
        super(layoutResId, data);
        this.type = type;
    }

    @Override
    protected void convert(BaseViewHolder helper, ContactsBean item) {
        if (type != 1) {
            helper.setText(R.id.tv_address, item.getAddress());
            helper.setText(R.id.tv_phone, item.getPhone());
        }
        helper.setText(R.id.tv_name, item.getName());

    }
}

